/*
 * @Author: SunTao 328867980@qq.com
 * @Date: 2024-11-15 11:05:34
 * @LastEditors: SunTao 328867980@qq.com
 * @LastEditTime: 2024-11-18 17:36:08
 * @FilePath: \znxjxt-ui\src\api\xj\index\index.js
 * @Description: 内部首页接口
 */

import request from "@/utils/request";

// 获取首页最顶端数据
export function getTotalCount(query) {
  return request({
    url: "/xj/home/getTotalCount",
    method: "get",
    params: query,
  });
}

// 获取日常巡查数据
export function getTaskToday(query) {
  return request({
    url: "/xj/home/getTaskToday",
    method: "get",
    params: query,
  });
}

// 获取病害识别数据
export function getDefectLog(query) {
  return request({
    url: "/xj/home/getDefectLog",
    method: "get",
    params: query,
  });
}


// 获取公路资产数据
export function getEquipment(query) {
  return request({
    url: "/xj/home/getEquipment",
    method: "get",
    params: query,
  });
}

// 获取公路资产常数统计数据
export function getEquipmentLog(query) {
  return request({
    url: "/xj/home/getEquipmentAnomalyLog",
    method: "get",
    params: query,
  });
}

// 获取路况评定数据
export function getRoadCondition(query) {
  return request({
    url: "/xj/home/getRoadConditionAssessment",
    method: "get",
    params: query,
  });
}

// 获取路况评定常数统计数据
export function getRoadConditionLog(query) {
  return request({
    url: "/xj/home/getRoadConditionAssessmentLog",
    method: "get",
    params: query,
  });
}

// 获取数据栏右上角选择数据接口
export function selectTypeList(query) {
  return request({
    url: "/bigscreen/getSwitch",
    method: "get",
    params: query,
  });
}

// 获取病害类型分布与总数
export function getTotalList(query) {
  return request({
    url: "/xj/home/getTotal",
    method: "get",
    params: query,
  });
}